const express = require('express');
const router = express.Router();
const user = require('./user');

router.post('/login', user.LoginProcess);
router.get('/checksession', user.UserCheckSession);

router.delete('/logout', user.LogoutUser);

router.put('/preference', user.UpdateUserPreference);
router.put('/password/update', user.UpdateUserPassword);
router.put('/data/update', user.UpdateUserName);
router.put('/avatar/update', user.UpdateUserAvatar);
router.delete('/avatar/delete', user.DeleteAvatar);

router.post('/altcha', user.AltchaHumanTest);

module.exports = router;